summaryrefslogtreecommitdiff
path: root/initramfs-tools
diff options
context:
space:
mode:
authoru <u@billy>2023-11-17 18:49:37 -0500
committeru <u@billy>2023-11-19 07:14:19 -0500
commit3bbb985b7f95a7c39f272bb716cfcc1bfe906c63 (patch)
treed198b6b2756914f42ca6dcaf9b671b26279cdb54 /initramfs-tools
parentd8c6be3b252ccb6379442d1ff3dd41e96290b3b6 (diff)
remove more samizdat-paths cruft
Diffstat (limited to 'initramfs-tools')
-rwxr-xr-xinitramfs-tools/hooks/samizdat19
1 files changed, 8 insertions, 11 deletions
diff --git a/initramfs-tools/hooks/samizdat b/initramfs-tools/hooks/samizdat
index b6451eb..1d4c1fe 100755
--- a/initramfs-tools/hooks/samizdat
+++ b/initramfs-tools/hooks/samizdat
@@ -1,32 +1,29 @@
1#!/bin/sh 1#!/bin/sh
2# TODO: check samizdat source to see what it copies
3[ "$1" = prereqs ] && { echo; exit; } 2[ "$1" = prereqs ] && { echo; exit; }
4 3
4. /usr/share/initramfs-tools/hook-functions
5
5die() { printf 'Error: generating initramfs: %s\n' "$*" >&2; exit 1; } 6die() { printf 'Error: generating initramfs: %s\n' "$*" >&2; exit 1; }
6 7
7CopyExec() { copy_exec "$@" || die "failed to copy_exec $*"; } 8CopyExec() { copy_exec "$@" || die "failed to copy_exec $*"; }
8CopyExecE() { [ "$2" ] || die "cannot find binary to copy: $1"; shift; CopyExec "$@"; } 9CopyExecE() { [ "$2" ] || die "cannot find binary to copy: $1"; shift; CopyExec "$@"; }
9 10
10. /usr/share/initramfs-tools/hook-functions 11SAMIZDAT_INITRD_PATH=/usr/local/lib/samizdat-rhizome/initrd
11PATH=/usr/local/lib/samizdat-rhizome/initrd:/usr/local/bin:$PATH 12
12. samizdat-paths.sh 13PATH=${SAMIZDAT_INITRD_PATH}:/usr/local/bin:$PATH
13 14
14repo_execs=$(echo "${samizdat_initrd_files_dir}"/*) 15repo_execs=$(echo "${SAMIZDAT_INITRD_PATH}"/*)
15 16
16path_execs=' 17path_execs='
17 mountpoint openvt rsync gpg2 pinentry-curses truncate dmsetup 18 mountpoint openvt rsync gpg2 pinentry-curses truncate dmsetup
18 dmstats cryptsetup mkfs.btrfs btrfs fsck.hfsplus wait_for_files 19 dmstats cryptsetup mkfs.btrfs btrfs fsck.hfsplus wait_for_files
19 samizdat-pinentry dynmenu samizdat-password-agent samizdat-gpg-agent 20 dynmenu parted fallocate strace btrfstune sfdisk
20 parted fallocate strace btrfstune sfdisk
21' 21'
22 22
23graft_paths=" 23graft_paths="
24 /bin/OpenVT=/bin/openvt 24 /bin/OpenVT=/bin/openvt
25 /bin/LoSetup=/sbin/losetup 25 /bin/LoSetup=/sbin/losetup
26 /patchroot/patchroot.sh=${samizdat_initrd_files_dir}/patchroot.sh 26 /patchroot/patchroot.sh=${SAMIZDAT_INITRD_PATH}/patchroot.sh
27 /patchroot/sources.list=/etc/apt/sources.list
28 /patchroot/initrd-dependencies.txt=${samizdat_initrd_files_dir}/initrd-dependencies.txt
29 /lib/samizdat/vol_id.txt=${samizdat_initrd_files_dir}/vol_id.txt
30" 27"
31 28
32absolute_path_copies='/lib/terminfo/l/linux /usr/bin/gpg-agent' 29absolute_path_copies='/lib/terminfo/l/linux /usr/bin/gpg-agent'